Package ru.bgcrm.model.param.address

# Class AddressHouse

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
ru.bgcrm.model.param.address.AddressBase
ru.bgcrm.model.param.address.AddressHouse

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

public class AddressHouse extends AddressBase

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `OBJECT_TYPE`

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddressHouse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddressItem`
  `getAddressArea()`
  `AddressItem`
  `getAddressQuarter()`
  `AddressItem`
  `getAddressStreet()`
  `int`
  `getAreaId()`
  `String`
  `getComment()`
  `String`
  `getFrac()`
  `int`
  `getHouse()`
  `String`
  `getHouseAndFrac()`
  `String`
  `getPostIndex()`
  `int`
  `getQuarterId()`
  `int`
  `getStreetId()`
  `void`
  `setAddressArea(AddressItem value)`
  `void`
  `setAddressQuarter(AddressItem value)`
  `void`
  `setAddressStreet(AddressItem value)`
  `void`
  `setAreaId(int value)`
  `void`
  `setComment(String value)`
  `void`
  `setFrac(String value)`
  `void`
  `setHouse(int value)`
  `void`
  `setHouseAndFrac(String value)`
  `void`
  `setPostIndex(String value)`
  `void`
  `setQuarterId(int value)`
  `void`
  `setStreetId(int value)`
  `AddressHouse`
  `withAreaId(int value)`
  `AddressHouse`
  `withComment(String value)`
  `AddressHouse`
  `withHouseAndFrac(String value)`
  `AddressHouse`
  `withPostIndex(String value)`
  `AddressHouse`
  `withQuarterId(int value)`
  `AddressHouse`
  `withStreetId(int value)`

  ### Methods inherited from class ru.bgcrm.model.param.address.AddressBase

  `getConfig, setConfig, setConfig`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Field Details

  - ### OBJECT_TYPE

    public static final String OBJECT_TYPE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AddressHouse

    public AddressHouse()

- ## Method Details

  - ### getAreaId

    public int getAreaId()

  - ### setAreaId

    public void setAreaId(int value)

  - ### withAreaId

    public AddressHouse withAreaId(int value)

  - ### getQuarterId

    public int getQuarterId()

  - ### setQuarterId

    public void setQuarterId(int value)

  - ### withQuarterId

    public AddressHouse withQuarterId(int value)

  - ### getStreetId

    public int getStreetId()

  - ### setStreetId

    public void setStreetId(int value)

  - ### withStreetId

    public AddressHouse withStreetId(int value)

  - ### getHouse

    public int getHouse()

  - ### setHouse

    public void setHouse(int value)

  - ### getFrac

    public String getFrac()

  - ### setFrac

    public void setFrac(String value)

  - ### getHouseAndFrac

    public String getHouseAndFrac()

  - ### setHouseAndFrac

    public void setHouseAndFrac(String value)

  - ### withHouseAndFrac

    public AddressHouse withHouseAndFrac(String value)

  - ### getPostIndex

    public String getPostIndex()

  - ### setPostIndex

    public void setPostIndex(String value)

  - ### withPostIndex

    public AddressHouse withPostIndex(String value)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String value)

  - ### withComment

    public AddressHouse withComment(String value)

  - ### getAddressArea

    public AddressItem getAddressArea()

  - ### setAddressArea

    public void setAddressArea(AddressItem value)

  - ### getAddressQuarter

    public AddressItem getAddressQuarter()

  - ### setAddressQuarter

    public void setAddressQuarter(AddressItem value)

  - ### getAddressStreet

    public AddressItem getAddressStreet()

  - ### setAddressStreet

    public void setAddressStreet(AddressItem value)